For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all construction jobs
        • GETGet construction job by ID
        • GETGet all construction job details for a specific construction job
        • GETGet all contracts for a specific construction job
        • POSTCreate Contract: Yardi REST
        • PUTUpdate Contract: Yardi REST
        • GETGet all contract details for a specific contract
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Yardi RESTConstruction Job Cost

Get all construction jobs

GET
/v1/construction-jobs/
GET
/v1/construction-jobs/
$curl https://api.propexo.com/v1/construction-jobs/ \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "JOB001",
18 "x_property_id": "na",
19 "x_location_id": null,
20 "x_gl_account_id": null,
21 "actual_end_date": null,
22 "actual_start_date": "2024-01-15T00:00:00.000Z",
23 "name": "Unit 101 Renovation",
24 "planned_end_date": "2024-06-30T00:00:00.000Z",
25 "planned_start_date": "2024-01-15T00:00:00.000Z",
26 "status_normalized": null,
27 "status_raw": "Active",
28 "total_budget_in_cents": null,
29 "custom_data": {},
30 "property_id": "clwi5xiix000008l6ctdgafyh",
31 "integration_id": "clwh5u07w000508me66sfh3um",
32 "integration_vendor": "YARDI_REST"
33 }
34 ]
35}
Get all construction jobs
Was this page helpful?
Previous

Get construction job by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error